package de.twenty11.skysail.common.graphs;

import java.util.Map;

import org.codehaus.jackson.annotate.JsonSubTypes;

@JsonSubTypes({ @org.codehaus.jackson.annotate.JsonSubTypes.Type(value = DefaultEdgeProvider.class, name = "de.twenty11.skysail.common.graphs.DefaultEdgeProvider") })
public class DefaultEdgeProvider implements EdgeProvider {

    private String edgeId;
    private String edgeLabel;
    private String source;
    private String target;
    private int weight;
    private Map<String, String> edgeProperties;

    public DefaultEdgeProvider() {
    }

    @Override
    public String getEdgeId() {
        return this.edgeId;
    }
    
    public void setEdgeId(String edgeId) {
        this.edgeId = edgeId;
    }

    @Override
    public String getEdgeLabel() {
        return this.edgeLabel;
    }
    
    public void setEdgeLabel(String edgeLabel) {
        this.edgeLabel = edgeLabel;
    }

    @Override
    public String getSource() {
        return this.source;
    }
    
    public void setSource(String source) {
        this.source = source;
    }
    
    @Override
    public String getTarget() {
        return this.target;
    }
    
    public void setTarget(String target) {
        this.target = target;
    }

    @Override
    public int getWeight() {
        return this.weight;
    }
    
    public void setWeight(int weight) {
        this.weight = weight;
    }

    @Override
    public Map<String, String> getEdgeProperties() {
        return this.edgeProperties;
    }
    
    public void setEdgeProperties(Map<String, String> edgeProperties) {
        this.edgeProperties = edgeProperties;
    }

    
}
